CUPTI (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.4. CUpti_ActivityBranch Struct Reference

## [CUPTI Activity API]

This activity record the locations of the branches in the source (CUPTI_ACTIVITY_KIND_BRANCH). Branch activities are now reported using the CUpti_ActivityBranch2 activity record.

### Public Variables

uint32_t correlationId
uint32_t diverged
uint32_t executed
CUpti_ActivityKind kind
uint32_t pcOffset
uint32_t sourceLocatorId
uint64_t threadsExecuted

### Variables

uint32_t CUpti_ActivityBranch::correlationId [inherited]

  The correlation ID of the kernel to which this result is associated.

uint32_t CUpti_ActivityBranch::diverged [inherited]

  Number of times this branch diverged

uint32_t CUpti_ActivityBranch::executed [inherited]

  The number of times this branch was executed

CUpti_ActivityKind CUpti_ActivityBranch::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_BRANCH.

uint32_t CUpti_ActivityBranch::pcOffset [inherited]

  The pc offset for the branch.

uint32_t CUpti_ActivityBranch::sourceLocatorId [inherited]

  The ID for source locator.

uint64_t CUpti_ActivityBranch::threadsExecuted [inherited]

  This increments each time when this instruction is executed by number of threads that executed this instruction